Name:           maven-patch-plugin
Version:        1.1.1
Release:        4%{?dist}
Summary:        Maven Patch Plugin

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-patch-plugin/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

# Basic stuff
BuildRequires: jpackage-utils
BuildRequires: java-devel >= 1:1.6.0

# Maven and its dependencies
BuildRequires: maven
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-docck-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: plexus-utils

Requires: java
Requires: maven
Requires: jpackage-utils
Requires: plexus-utils

%description
The Patch Plugin is used to apply patches to source files.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%build
mvn-rpmbuild install javadoc:aggregate invoker:run

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%doc DEPENDENCIES LICENSE NOTICE
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE NOTICE
%{_javadocdir}/%{name}

%changelog
* Sun Nov 25 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-4
- Add NOTICE file to javadoc package

* Sun Nov 25 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-3
- Enable tests on Fedora 19 again - broken dependancies fixed

* Fri Nov 23 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-2
- Disable tests on Fedora 19 due to broken dependencies

* Thu Nov  1 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.1-1
- Initial Package
